<div class="contentRight">

  <nz-spin [nzSpinning]="isLoading[0]">
    <div class="contentFull left filler-bottom">
      <div class="content-holder">
        <h3><!--@I18N.Core.Helper.I18N.GetText("Entity.Newspaper")-->{{'Economic.Entity.Newspaper' | translate}}</h3>
        <div class="newspaperHeader">
          <ul class="newspView">
            <li>
              <!--<img class="newspaperImage" src="~/@(new vPopulus.Services.Helpers.EntityHelper().GetAvatarLocation(EntitiesDictionary.EntityType.Newspaper, Model.Newspaper.Id))">-->
              <!--<img class="newspaperImage" src="{{hostUrl}}/{{newspaper.owner.avatarLocation}}" />-->
            </li>
            <li>
              <ul>
                <li class="medium">{{newspaper.name}}</li>
                <li>
                  <ul>
                    <li>
                      <span class="details sm-normal"><!--@I18N.Core.Helper.I18N.GetText("Entity.Owner")-->{{'Economic.Entity.Owner' | translate}}: </span>
                      <a href="{{hostUrl}}/{{newspaper.owner.entityTypeName | lowercase}}/{{newspaper.owner.entityId}}" target="_blank">{{newspaper.owner.name}}</a>
                      <!--<a href="@Url.Action(" Index", Model.Newspaper.OwnerEntityType.ToString(), new { id=Model.Newspaper.OwnerEntityId })">@Model.Newspaper.OwnerName</a>-->
                    </li>
                    <li>
                      <span class="details sm-normal"><!--@I18N.Core.Helper.I18N.GetText("Article.Subscribers")-->{{'Social.Article.Subscribers' | translate}}: </span>
                      {{totalSubscribers}}
                      <!--@Model.Newspaper.Subscribers.Count()-->
                    </li>
                    <li>
                      <span class="details sm-normal"><!--@I18N.Core.Helper.I18N.GetText("Homepage.Votes")-->{{'Miscellaneous.Homepage.Votes' | translate}}: </span>
                      <!--@Model.Newspaper.Articles.Sum(x => x.Votes.Count)-->
                      {{newspaper.totalVotes}}
                    </li>
                    <li>
                      <span class="details sm-normal"><!--@I18N.Core.Helper.I18N.GetText("Messages.From")-->{{'Social.Messages.From' | translate}}: </span>
                      <a href="{{hostUrl}}/country/{{newspaper.owner.countryId}}" target="_blank">{{newspaper.owner.countryName}}</a>
                      <!--<a href="@Url.Action(" index", "country" , new { id=Model.Newspaper.CountryId })">@Model.CountryName</a>-->
                    </li>
                  </ul>
                </li>
              </ul>
            </li>
            <!-- 1=citizen -->

            <li *ngIf="entity.entityType == 1">

                <!--<a href="{{hostUrl}}/country/{{newspaper.countryId}}" target="_blank">{{newspaper.countryName}}</a>-->
                <!--<ng-container *ngIf="isCitizenSubscribed === true; then unsubscribe; else subscribe">
                </ng-container>-->
                <!--<ng-template #subscribe>-->
              <a (click)="subscribe(newspaperId)" *ngIf="isCitizenSubscribed === false">
                <img src="{{hostUrl}}/assets/img/ico/ent_header/subscribe.png" title="{{'Social.Article.Subscribe' | translate}}">
              </a>
              <!--</ng-template>
              <ng-template #unsubscribe>-->
              <a (click)="unsubscribe(newspaperId)" *ngIf="isCitizenSubscribed === true">
                <img src="{{hostUrl}}/assets/img/ico/ent_header/unsubscribe.png" title="{{'Social.Article.Unsubscribe' | translate}}">
              </a>
              <!--</ng-template>-->

            </li>
          </ul>
        </div>
        <div *ngIf="isOwner" class="countryLinks">
          <ul>
            <li class="sm-normal">
              <!--article/CreateOrEdit?newspaperId=13-->
              <a href="{{hostUrl}}/article/CreateOrEdit?newspaperId={{newspaperId}}" target="_blank">
                <img class="image-tab" height="35" width="35" src="{{hostUrl}}/assets/img/ico/nav/newarticle.png" /><br> {{'Social.Article.NewArticle' | translate}}
              </a>
            </li>
            <li class="sm-normal">
              <!--newspaper/13/manage-->
              <a href="{{hostUrl}}/newspaper/{{newspaperId}}/manage" target="_blank">
                <img class="image-tab" height="35" width="35" src="{{hostUrl}}/assets/img/ico/nav/mnge.png" /><br> {{'Social.Article.NewspaperManagement' | translate}}
              </a>
            </li>
          </ul>

        </div>

      </div>
    </div>
  </nz-spin>

  <nz-spin [nzSpinning]="isLoading[1]">
    <!--<app-newspaper-details-articles [articles]="articles" [totalEntries]="totalArticles"></app-newspaper-details-articles>-->
    <div class="contentFull left  filler-bottom">
      <div class="content-holder">
        <h4><!--@I18N.Core.Helper.I18N.GetText("Article.Articles")-->{{'Social.Article.Articles' | translate}}</h4>

        <ng-container *ngIf="articles.length > 0;else noArticles">
          <div class="newspaperArticles">
            <table class="articles tableColor">
              <thead>
                <tr>
                  <th></th>
                  <th></th>
                  <th></th>
                  <th><!--@I18N.Core.Helper.I18N.GetText("Article.Published")-->{{'Social.Article.Published' | translate}}</th>
                  <th></th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let article of articles">
                  <ng-container *ngIf="article.isPublished === false && isOwner || article.isPublished === true">
                    <td>
                      <p class="nVotesN" title="{{'Social.Article.NVotes' | translate}}">{{article.votes}}</p>
                    </td>
                    <td>
                      <a href="{{hostUrl}}/article/{{article.id}}" target="_blank">{{article.title}}</a>
                      <!--<a href="@Url.Action(" index", "article" , new { id=article.Id })"></a>-->
                    </td>
                    <td>{{article.creationDateTime}} ago</td>

                    <td *ngIf="article.isPublished === true">{{'Yes' | translate}}</td>
                    <td *ngIf="article.isPublished === false">{{'No' | translate}}</td>

                    <ng-container *ngIf="isOwner === true;else notOwner">
                      <td>
                        <!--/article/CreateOrEdit?newspaperId=13&articleId=440-->
                        <a href="{{hostUrl}}/article/CreateOrEdit?newspaperId={{newspaperId}}&articleId={{article.id}}" target="_blank">{{'Social.Article.TitleEdit' | translate}}</a>
                      </td>
                      <td>
                        <!--<form method="post" action="@Url.Action(" delete", "article" , new { articleId=article.Id })" onsubmit="return confirm('Are you sure you want to delete this article? This action cannot be reverted.')">
    <input class="deleteArt" type="submit" onclick="return blockButton(this);" value="&#10005;" />
  </form>-->
                        <a nz-popconfirm
                           nzPopconfirmTitle="Are you sure?"
                           nzOkText="ok"
                           nzCancelText="cancel"
                           (nzOnConfirm)="deleteArticle()"
                           (nzOnCancel)="cancel()">&#10005;</a>
                      </td>
                    </ng-container>

                    <ng-template #notOwner>
                      <td></td>
                      <td></td>
                    </ng-template>

                  </ng-container>
                </tr>
              </tbody>
            </table>
            <nz-pagination [(nzPageIndex)]="page" [nzTotal]="totalArticles" nzShowSizeChanger [(nzPageSize)]="pageSize" (nzPageSizeChange)="getArticles()" (nzPageIndexChange)="getArticles()">
            </nz-pagination>
          </div>
        </ng-container>

        <ng-template #noArticles>
          <p>There are no articles yet.</p>
        </ng-template>


      </div>
    </div>
  </nz-spin>

  <nz-spin [nzSpinning]="isLoading[2]">
    <!--<app-newspaper-details-subscribers [subscribers]="subscribers" [totalEntries]="totalSubscribers"></app-newspaper-details-subscribers>-->
    <div class="contentFull left  filler-bottom-end-p">
      <div class="content-holder">
        <h4>
          <!--@I18N.Core.Helper.I18N.GetText("Article.Subscribers")-->
          {{'Social.Article.Subscribers' | translate}}
          <a class="right" href="{{hostUrl}}/newspaper/{{newspaperId}}/subscribers"><!--@I18N.Core.Helper.I18N.GetText("Common.ViewAll")-->{{'General.Common.ViewAll' | translate}}</a>
        </h4>

        <ng-container *ngIf="totalSubscribers > 0;else noSubscribers">
          <div *ngFor="let sub of subscribers" class="entMembers member_tooltip">
            <a href="{{hostUrl}}/citizen/{{sub.entity.entityId}}">
              <img src="{{hostUrl}}/{{sub.entity.avatarLocation}}" alt="#" title="" />
            </a>
          </div>

          <div class="clear"></div>
        </ng-container>

        <ng-template #noSubscribers>
          <p>This newspaper has no subscribers.</p>
        </ng-template>
      </div>
    </div>
  </nz-spin>
</div>
<div class="clear"></div>

